Subject: Re: [PATCH 4/9] block: mtip32xx: Replace deprecated PCI functions

From: Andy Shevchenko <[email-masked]>
Date: Tue, 20 Aug 2024 13:28:17 +0300

On Tue, Aug 20, 2024 at 09:29:52AM +0200, Philipp Stanner wrote:
> On Mon, 2024-08-19 at 21:04 +0300, Andy Shevchenko wrote:
> > On Mon, Aug 19, 2024 at 06:51:44PM +0200, Philipp Stanner wrote:

...

> > int mtip_pci_probe()
> > 
> > >  setmask_err:
> > > -	pcim_iounmap_regions(pdev, 1 << MTIP_ABAR);
> > > +	pcim_release_region(pdev, MTIP_ABAR);
> > 
> > But why?
> 
> EMOREINFOREQUIRED
> Why I replace it or why I don't remove it completely?

The latter one: Why did you leave it and not remove?

...

> > mtip_pci_remove()
> > 
> > >  	pci_disable_msi(pdev);
> > >  
> > > -	pcim_iounmap_regions(pdev, 1 << MTIP_ABAR);
> > 
> > This is okay.
> 
> Removing it is okay, you mean.

Yes!

...

> > >  	pci_set_drvdata(pdev, NULL);
> > 
> > Side note: This is done by driver core for the last 10+ years…
> 
> Ah you know Andy, kernel programmers be like: "When you're hunting you
> better make sure the wild sow is really dead before you load it in your
> trunk" ;p

Indeed, I had been told many times myself to improve / cleanup things unrelated
to the working area before actually considering my little work...

But, I specifically mark it as a "Side note:", so it's up to you to address
or not.

-- 
With Best Regards,
Andy Shevchenko